Bug 116876 - P2FS: Published files have invalid login link
P2FS: Published files have invalid login link
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-25 16:50 EST by Jon Orris
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 10:46:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-02-25 16:50:05 EST
Description of problem:
@40768
Content published by p2fs has a header with:
  You are not currently logged in
	Login

The Login link does not contain the port number of the server, so it
is invalid. It might make some sense if it used a single host for
apache forwarding or multi-jvm access.
Comment 1 Daniel Berrange 2004-02-26 05:52:43 EST
Surely links to other CCM pages should all be using relative links -
so no hostname / port number  should be required. This is what the
c.a.ui.UserPanel generates  in its XML, so I guess p2fs must be doing
some bogus URL munging when publishing.

Note You need to log in before you can comment on or make changes to this bug.